// Operating System : Windows XP or later, 
// Scilab           : 5.3.3

//Concept :Estimation of mean and variance of sum of two random variable Z = X + Y, where X and Y are random variable.
// Above concept is explained with example as follows.
//Example: A large circular dartboard is set up with a "bullseye" at the center of the circle,which is at the coordinate(0,0). A dart is thrown at the center but lands at (X,Y) are two different Gaussian random variables. What is average distance of the dart from the bullseye? What is variance of data?  
//Distance from center is given as sqrt(X^2+Y^2)

clc;
clear all;
rand('seed',0)//setting seed of random generator to zero
m_est = 0;
for i = 1:1000
    R(i,1)=sqrt(rand(1,1,'normal')^2+rand(1,1,'normal')^2);//calculation of distance from center
    m_est=m_est+(1/1000)*R(i);//estimation of mean from data
end
m_est
mprintf('Mean of Sum of Two Random variable that is Mean of Z = %f',m_est)
v_est = variance(R)//variance calculation
mprintf('\n Variance of Sum of Two Random variable that is Mean of Z = %f',v_est)
